[script]
n0=on *:TEXT:!pass*:*:{
n1=  if ($readini mcbpwd.ini $nick pass != $null)  { /msg $nick  You have a password set please use !changepass | halt }
n2=  else {
n3=    /writeini mcbpwd.ini $nick pass $hash($2,32)
n4=    /msg $nick your password has been set, please do not forget it. | /msg $nick If you have not already done so you may wish to set an email address, type !set email <pass> <email>
n5=  }
n6=}
n7=
n8=on *:TEXT:!changepass*:*:{
n9=  if ($readini mcbpwd.ini $nick pass == $null)  { /msg $nick please set your password with !pass | halt }
n10=
n11=  if ($readini mcbpwd.ini $nick pass != $hash($2,32))  { /msg $nick the old password you supplied is incorrect please try again | halt }
n12=  else {
n13=    /writeini mcbpwd.ini $nick pass $hash($3,32)
n14=    /msg $nick your password has been set, please do not forget it. 
n15=  if (%spt.pi == 1){ /msg $nick If you have not already done so you may wish to set an email address. type !set email <pass> <email>  }
n16=}
n17=}
